/* Delete a user from a given realm */

parse arg realm user admin_user admin_password

if realm = "?" | realm = "/?" | length(realm) = 0 | length(user) = 0 then do
	say "Utility to Delete a User from a PowerWeb Server++ User Database."
	say ""
	say "Usage:     DelUser Realm UserName [AdminName [AdminPassword]]"
	say ""
	say "Example 1: DelUser admin joe"
	say "Example 2: DelUser admin joe admin secret"
	say ""
	say "If the admin user name is omitted, it defaults to 'admin'."
	say "If the admin user password is omitted, it defaults to empty."
	return
end

if length(admin_user) = 0 then
	admin_user = 'admin'

http = '/!user?Realm=/security/userbase/'realm'&user='user'&password=&verify=&file=&Submit=Delete%%20a%%20User'

call CallHTTP http, admin_user, admin_password, "User Results", "Copyright"

return


